Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model
Class PAPBinTable

    java.lang.Object
      org.apache.poi.hwpf.model.PAPBinTable

Direct Known Subclasses:
  OldPAPBinTable

    public class PAPBinTable

extends java.lang.Object

This class represents the bin table of Word document but it also serves as a holder for all of the paragraphs of document that have been loaded into memory.

Author:
  Ryan Ackley

Constructor Summary
`PAPBinTable()`
`PAPBinTable(byte[] documentStream, byte[] tableStream, byte[] dataStream, int offset, int size, CharIndexTranslator charIndexTranslator)`
`PAPBinTable(byte[] documentStream, byte[] tableStream, byte[] dataStream, int offset, int size, int fcMin, TextPieceTable tpt)` Deprecated. Use `PAPBinTable(byte[], byte[], byte[], int, int, CharIndexTranslator)` instead

Method Summary
`void` | `adjustForDelete(int listIndex, int offset, int length)`
`void` | `adjustForInsert(int listIndex, int length)`
`java.util.ArrayList` | `getParagraphs()`
`void` | `insert(int listIndex, int cpStart, SprmBuffer buf)`
`void` | `rebuild(java.lang.StringBuffer docText, ComplexFileTable complexFileTable)`
`void` | `writeTo(HWPFFileSystem sys, CharIndexTranslator translator)`
`void` | `writeTo(HWPFOutputStream wordDocumentStream, HWPFOutputStream tableStream, CharIndexTranslator translator)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PAPBinTable

    public PAPBinTable()

### PAPBinTable

    public PAPBinTable(byte[] documentStream,
                       byte[] tableStream,
                       byte[] dataStream,
                       int offset,
                       int size,
                       int fcMin,
                       TextPieceTable tpt)

  Deprecated. Use `PAPBinTable(byte[], byte[], byte[], int, int, CharIndexTranslator)` instead

### PAPBinTable

    public PAPBinTable(byte[] documentStream,
                       byte[] tableStream,
                       byte[] dataStream,
                       int offset,
                       int size,
                       CharIndexTranslator charIndexTranslator)

Method Detail

### rebuild

    public void rebuild(java.lang.StringBuffer docText,
                        ComplexFileTable complexFileTable)

### insert

    public void insert(int listIndex,
                       int cpStart,
                       SprmBuffer buf)

### adjustForDelete

    public void adjustForDelete(int listIndex,
                                int offset,
                                int length)

### adjustForInsert

    public void adjustForInsert(int listIndex,
                                int length)

### getParagraphs

    public java.util.ArrayList getParagraphs()

### writeTo

    public void writeTo(HWPFFileSystem sys,
                        CharIndexTranslator translator)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeTo

    public void writeTo(HWPFOutputStream wordDocumentStream,
                        HWPFOutputStream tableStream,
                        CharIndexTranslator translator)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD